#!/bin/sh
# This script was generated using Makeself 2.1.5

CRCsum="3357571103"
MD5="84e83d8afeed2452d33ea6c7163cc175"
TMPROOT=${TMPDIR:=/tmp}

label="Unofficial Qt for Symbian 4.6.3 All-In-One (GNUPOC 1.15 + Qt 4.6.3 + Qt Mobility 1.0.2 + Nokia Smart Installer 1.0) Linux Installer"
script="./install.sh"
scriptargs=""
targetdir="qt_all_in_one_linux_installer"
filesizes="9259"
keep=n

print_cmd_arg=""
if type printf > /dev/null; then
    print_cmd="printf"
elif test -x /usr/ucb/echo; then
    print_cmd="/usr/ucb/echo"
else
    print_cmd="echo"
fi

unset CDPATH

MS_Printf()
{
    $print_cmd $print_cmd_arg "$1"
}

MS_Progress()
{
    while read a; do
	MS_Printf .
    done
}

MS_diskspace()
{
	(
	if test -d /usr/xpg4/bin; then
		PATH=/usr/xpg4/bin:$PATH
	fi
	df -kP "$1" | tail -1 | awk '{print $4}'
	)
}

MS_dd()
{
    blocks=`expr $3 / 1024`
    bytes=`expr $3 % 1024`
    dd if="$1" ibs=$2 skip=1 obs=1024 conv=sync 2> /dev/null | \
    { test $blocks -gt 0 && dd ibs=1024 obs=1024 count=$blocks ; \
      test $bytes  -gt 0 && dd ibs=1 obs=1024 count=$bytes ; } 2> /dev/null
}

MS_Help()
{
    cat << EOH >&2
Makeself version 2.1.5
 1) Getting help or info about $0 :
  $0 --help   Print this message
  $0 --info   Print embedded info : title, default target directory, embedded script ...
  $0 --lsm    Print embedded lsm entry (or no LSM)
  $0 --list   Print the list of files in the archive
  $0 --check  Checks integrity of the archive
 
 2) Running $0 :
  $0 [options] [--] [additional arguments to embedded script]
  with following options (in that order)
  --confirm             Ask before running embedded script
  --noexec              Do not run embedded script
  --keep                Do not erase target directory after running
			the embedded script
  --nox11               Do not spawn an xterm
  --nochown             Do not give the extracted files to the current user
  --target NewDirectory Extract in NewDirectory
  --tar arg1 [arg2 ...] Access the contents of the archive through the tar command
  --                    Following arguments will be passed to the embedded script
EOH
}

MS_Check()
{
    OLD_PATH="$PATH"
    PATH=${GUESS_MD5_PATH:-"$OLD_PATH:/bin:/usr/bin:/sbin:/usr/local/ssl/bin:/usr/local/bin:/opt/openssl/bin"}
	MD5_ARG=""
    MD5_PATH=`exec <&- 2>&-; which md5sum || type md5sum`
    test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which md5 || type md5`
	test -x "$MD5_PATH" || MD5_PATH=`exec <&- 2>&-; which digest || type digest`
    PATH="$OLD_PATH"

    MS_Printf "Verifying archive integrity..."
    offset=`head -n 402 "$1" | wc -c | tr -d " "`
    verb=$2
    i=1
    for s in $filesizes
    do
		crc=`echo $CRCsum | cut -d" " -f$i`
		if test -x "$MD5_PATH"; then
			if test `basename $MD5_PATH` = digest; then
				MD5_ARG="-a md5"
			fi
			md5=`echo $MD5 | cut -d" " -f$i`
			if test $md5 = "00000000000000000000000000000000"; then
				test x$verb = xy && echo " $1 does not contain an embedded MD5 checksum." >&2
			else
				md5sum=`MS_dd "$1" $offset $s | eval "$MD5_PATH $MD5_ARG" | cut -b-32`;
				if test "$md5sum" != "$md5"; then
					echo "Error in MD5 checksums: $md5sum is different from $md5" >&2
					exit 2
				else
					test x$verb = xy && MS_Printf " MD5 checksums are OK." >&2
				fi
				crc="0000000000"; verb=n
			fi
		fi
		if test $crc = "0000000000"; then
			test x$verb = xy && echo " $1 does not contain a CRC checksum." >&2
		else
			sum1=`MS_dd "$1" $offset $s | CMD_ENV=xpg4 cksum | awk '{print $1}'`
			if test "$sum1" = "$crc"; then
				test x$verb = xy && MS_Printf " CRC checksums are OK." >&2
			else
				echo "Error in checksums: $sum1 is different from $crc"
				exit 2;
			fi
		fi
		i=`expr $i + 1`
		offset=`expr $offset + $s`
    done
    echo " All good."
}

UnTAR()
{
    tar $1vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 $$; }
}

finish=true
xterm_loop=
nox11=y
copy=none
ownership=y
verbose=n

initargs="$@"

while true
do
    case "$1" in
    -h | --help)
	MS_Help
	exit 0
	;;
    --info)
	echo Identification: "$label"
	echo Target directory: "$targetdir"
	echo Uncompressed size: 52 KB
	echo Compression: gzip
	echo Date of packaging: Wed Aug 18 19:47:11 AMT 2010
	echo Built with Makeself version 2.1.5 on 
	echo Build command was: "/usr/bin/makeself \\
    \"--nox11\" \\
    \"qt_all_in_one_linux_installer\" \\
    \"qt_for_symbian_4.6.3_all_in_one_linux_installer_v3.sh\" \\
    \"Unofficial Qt for Symbian 4.6.3 All-In-One (GNUPOC 1.15 + Qt 4.6.3 + Qt Mobility 1.0.2 + Nokia Smart Installer 1.0) Linux Installer\" \\
    \"./install.sh\""
	if test x$script != x; then
	    echo Script run after extraction:
	    echo "    " $script $scriptargs
	fi
	if test x"" = xcopy; then
		echo "Archive will copy itself to a temporary location"
	fi
	if test x"n" = xy; then
	    echo "directory $targetdir is permanent"
	else
	    echo "$targetdir will be removed after extraction"
	fi
	exit 0
	;;
    --dumpconf)
	echo LABEL=\"$label\"
	echo SCRIPT=\"$script\"
	echo SCRIPTARGS=\"$scriptargs\"
	echo archdirname=\"qt_all_in_one_linux_installer\"
	echo KEEP=n
	echo COMPRESS=gzip
	echo filesizes=\"$filesizes\"
	echo CRCsum=\"$CRCsum\"
	echo MD5sum=\"$MD5\"
	echo OLDUSIZE=52
	echo OLDSKIP=403
	exit 0
	;;
    --lsm)
cat << EOLSM
No LSM.
EOLSM
	exit 0
	;;
    --list)
	echo Target directory: $targetdir
	offset=`head -n 402 "$0" | wc -c | tr -d " "`
	for s in $filesizes
	do
	    MS_dd "$0" $offset $s | eval "gzip -cd" | UnTAR t
	    offset=`expr $offset + $s`
	done
	exit 0
	;;
	--tar)
	offset=`head -n 402 "$0" | wc -c | tr -d " "`
	arg1="$2"
	shift 2
	for s in $filesizes
	do
	    MS_dd "$0" $offset $s | eval "gzip -cd" | tar "$arg1" - $*
	    offset=`expr $offset + $s`
	done
	exit 0
	;;
    --check)
	MS_Check "$0" y
	exit 0
	;;
    --confirm)
	verbose=y
	shift
	;;
	--noexec)
	script=""
	shift
	;;
    --keep)
	keep=y
	shift
	;;
    --target)
	keep=y
	targetdir=${2:-.}
	shift 2
	;;
    --nox11)
	nox11=y
	shift
	;;
    --nochown)
	ownership=n
	shift
	;;
    --xwin)
	finish="echo Press Return to close this window...; read junk"
	xterm_loop=1
	shift
	;;
    --phase2)
	copy=phase2
	shift
	;;
    --)
	shift
	break ;;
    -*)
	echo Unrecognized flag : "$1" >&2
	MS_Help
	exit 1
	;;
    *)
	break ;;
    esac
done

case "$copy" in
copy)
    tmpdir=$TMPROOT/makeself.$RANDOM.`date +"%y%m%d%H%M%S"`.$$
    mkdir "$tmpdir" || {
	echo "Could not create temporary directory $tmpdir" >&2
	exit 1
    }
    SCRIPT_COPY="$tmpdir/makeself"
    echo "Copying to a temporary location..." >&2
    cp "$0" "$SCRIPT_COPY"
    chmod +x "$SCRIPT_COPY"
    cd "$TMPROOT"
    exec "$SCRIPT_COPY" --phase2 -- $initargs
    ;;
phase2)
    finish="$finish ; rm -rf `dirname $0`"
    ;;
esac

if test "$nox11" = "n"; then
    if tty -s; then                 # Do we have a terminal?
	:
    else
        if test x"$DISPLAY" != x -a x"$xterm_loop" = x; then  # No, but do we have X?
            if xset q > /dev/null 2>&1; then # Check for valid DISPLAY variable
                GUESS_XTERMS="xterm rxvt dtterm eterm Eterm kvt konsole aterm"
                for a in $GUESS_XTERMS; do
                    if type $a >/dev/null 2>&1; then
                        XTERM=$a
                        break
                    fi
                done
                chmod a+x $0 || echo Please add execution rights on $0
                if test `echo "$0" | cut -c1` = "/"; then # Spawn a terminal!
                    exec $XTERM -title "$label" -e "$0" --xwin "$initargs"
                else
                    exec $XTERM -title "$label" -e "./$0" --xwin "$initargs"
                fi
            fi
        fi
    fi
fi

if test "$targetdir" = "."; then
    tmpdir="."
else
    if test "$keep" = y; then
	echo "Creating directory $targetdir" >&2
	tmpdir="$targetdir"
	dashp="-p"
    else
	tmpdir="$TMPROOT/selfgz$$$RANDOM"
	dashp=""
    fi
    mkdir $dashp $tmpdir || {
	echo 'Cannot create target directory' $tmpdir >&2
	echo 'You should try option --target OtherDirectory' >&2
	eval $finish
	exit 1
    }
fi

location="`pwd`"
if test x$SETUP_NOCHECK != x1; then
    MS_Check "$0"
fi
offset=`head -n 402 "$0" | wc -c | tr -d " "`

if test x"$verbose" = xy; then
	MS_Printf "About to extract 52 KB in $tmpdir ... Proceed ? [Y/n] "
	read yn
	if test x"$yn" = xn; then
		eval $finish; exit 1
	fi
fi

MS_Printf "Uncompressing $label"
res=3
if test "$keep" = n; then
    trap 'echo Signal caught, cleaning up >&2; cd $TMPROOT; /bin/rm -rf $tmpdir; eval $finish; exit 15' 1 2 3 15
fi

leftspace=`MS_diskspace $tmpdir`
if test $leftspace -lt 52; then
    echo
    echo "Not enough space left in "`dirname $tmpdir`" ($leftspace KB) to decompress $0 (52 KB)" >&2
    if test "$keep" = n; then
        echo "Consider setting TMPDIR to a directory with more free space."
   fi
    eval $finish; exit 1
fi

for s in $filesizes
do
    if MS_dd "$0" $offset $s | eval "gzip -cd" | ( cd "$tmpdir"; UnTAR x ) | MS_Progress; then
		if test x"$ownership" = xy; then
			(PATH=/usr/xpg4/bin:$PATH; cd "$tmpdir"; chown -R `id -u` .;  chgrp -R `id -g` .)
		fi
    else
		echo
		echo "Unable to decompress $0" >&2
		eval $finish; exit 1
    fi
    offset=`expr $offset + $s`
done
echo

cd "$tmpdir"
res=0
if test x"$script" != x; then
    if test x"$verbose" = xy; then
		MS_Printf "OK to execute: $script $scriptargs $* ? [Y/n] "
		read yn
		if test x"$yn" = x -o x"$yn" = xy -o x"$yn" = xY; then
			eval $script $scriptargs $*; res=$?;
		fi
    else
		eval $script $scriptargs $*; res=$?
    fi
    if test $res -ne 0; then
		test x"$verbose" = xy && echo "The program '$script' returned an error code ($res)" >&2
    fi
fi
if test "$keep" = n; then
    cd $TMPROOT
    /bin/rm -rf $tmpdir
fi
eval $finish; exit $res
 plL<mwZ-5HBqNMRNlC 7SEHZH$ߙ]	$,;㦧牒 Zۮ"ɏWVoQ+'둢T+ZJYڣp-P	y4{מK/ImKdڀvEUkGCgyl9XfB@C"R".?I1JT	g\Ԙ$wSMetMѴgPev#~Uys+$0a;ݼ"jzߩl	uN2Gď}w+d}I@8nH`"9O(	>%E5a$cZm}IƁk/BY(|NWrI"ei}$:%.0+䮛Os~Ja!	2'qͨqb9SP_e@`!9ܯ0a_ܬ9 L)wI	C*եJtty\/;l+z%u5?P
\I-zq(WHC~B׵<	 @aw2|<+7>_rND7A~1[#uw0Dϩ <&m9'D2WlkNB T`i R^\4,
ЍQI*Ԧz@eݟdx(L\Pjh!4 LA<yY>B.?t/ Qo򓄾>WҽAƗǋs5F t't-!f~FӔAD<etL`Q#	a	BȠ梊aNALceEVZnM1I$eu3!Ar]ӚX\C`3Iǎua
(2邜YL#=Ͼ!m"|	I^  
(\b9Smb-%k4ŋ`!6FPz?K0j8l&,.`ҸWQoˏ.z
$ y1קh&NidS x"g>p̀>{"zS"-/D; jTw/>׆+5tMr:;ks~85ԍ9j,B}lSae(֨BթE`n,6xF:k*Z\jIOX1'NX0ߗ\w
:Eњbw2%[bVTZǡߺ܆]"dKtdܚLO1p*!+B`)F #psP@v7me砭%_cXri]ȥ__62D5?	<jaQ G~KF`ڂ, B	NO.3ˁ /`awDbKC2t0>Mk2M6:çxa&vҢ
6JӍFfKn\O*fI'y 5	̽4ȒZL>FpHB2o=VyZ	a0z|:DC}DN.&R`-0Jdao@&ɌEfbxH$U؄OGK''q`YjITkEO!ʴ c2%6-:0u87p~t%4,rṬJnC|0^kDGylIbC|m,KAS$NuB	 HY+&ROu[	9jCb10i_aLڅk.ƞ=`s-6$`!|hdcC!YL7Ts[`я_X^߱SQ5QSjVQdL:ڏT!HC!(xq85Od&_} ^Nu2s_+Cc&40j.\itg޵k4)FS3As}9iN(*$0:^ЙT)$kѢ#`ƻ, &p2Ԍ+O Syd7ǁ㠃|?,er'``x`. D\dZAxKc4! a[ls0l'!D!?D*zC_70).	ăr;IERdDQIRW,DK0^?LM*?0anV"T4LO)D&2Gg9fc̟),Lf'A=\Z])3o'qi	4?Q%B%ɋ9Fp)x#g⿨7֫kjcWi@G=.`tM7+T՚RmRV1ʵf95˄.OkUZLuJuZT4Ԫb;vȸ\jQon4*:n~L&UNk*pS4b TxFUQՁf^6+IYѷ:!8Ւ]ՆqV>ʏ=cmXe|vDQ[A~R!uQUݮ5k5QoV bZ.k[Qrs%9jI)M"ϟ1X"9%'qU.$6].e
kdP?y 5:i &_żWF#YX>&`)Vr?
BY$$D`8s!8s}v"a<>
FhlDIO  ّ E3o\_Bʴ=!> B󅇏%r:Cp|*cZXFxȵ&K%6f:pVQw2-gzFI5kwIGJk	`1NS"#0ްp=FԼ\ρV-cL+I9ߔf	wB/֟&yt0ָkaP{k9,[\y^jF10d@	XSofN dR6,f=6h1v[#%ҥpuѷno1fK$Tj]M{{!4˥:ل&[x,-]2?+oh	] ~{Z`8 nȫ\`ݽYfu~F\vo˹k :s<
=X&ǳf"Vt{Roq>VIQl|!'y<\駻m{J%.	mXDa9;L;n:&</>O*`\Rj(5Bဃa{yz5@D]"ApOGH xTcG,&kmSD7Mm>4.S'ViH@۽ѐ LD02.]'q&/L:?kԷ(EXdM=Կ7|;YAYl}T5O6KʹR,k#K#@Z-MR !)d(;wE+=3smbZSj^`*eq3v<;rC488U	; Cw6B~RJQD"AdрpMpͤL<!6ǅGy^4|wAD	tP-p[w0 Z}]
Y\a;ɛ4|(EG`~2ozZ=j3K3ݗLǷ>P5;<[qUF=7Ԣƕ˥~ HX1]"ֈXJuHR×ƍ ]\T塁{T*QXo< 2BU(T;A/`լb|4r1:LaI41
vQnf+|dw浒@5;m9awOm~mE6	/?6l_!GZ*\U"+{ )?D~>q"Rm*[j#	ѵ.^|BjcrGil+Y|lM '"o@{9\ȏт~'99:>A47&=m3X	Z0^_ua{k1`evDN"#`d^gV(<es l㖺UjI_jet'\. x]HZzޝ9Z)iyjokB
VBq!cwmۚ[V<1_,<}|#H/54 n
3^>/6+,9G3puDxUU˒Vx&=B1Sdwbk^|pP,BT%m;\a<U׵H'J|[1hn6[V+&\@5iMyr'Gl;!Zz֙,ebtx&ASL!|X]7%8Zx]Vx<j2{kw˄
.HgQ|߹dWNH@[:L\ELdko`m HK{ٳSjįn[$znާ%+_kZ=^T
<lz!p C+oyYns4OF9g[v(X`X5d 
|77͵a:ۉ"GIr*:ztwO4J/n;f5vkmD19m'qqv>iC\5no8  I(!;#t{pE/
Ud{\ݓ+;/;{!Ćw^k0և%[o.J+p87:I-~{.<5ܛ4#%hf+Aw\U\:J	VK	AH93\RkVupZj^MVW'>Nyr\1k2aAv"IϨ$PvQwAd"ψnS
AkwFqkA 	0v`	=Pm`jɎ~gfWb\Ķvgv1y>|UzLh'e4,a[0)h3KECGm{ڮʪ1)АSoց5%<]Qb#7mO,l(l57 J\鴄0D+S<o)~$E/?oD\*po(g̠٬?x9-q[oas8wN9&~a3ekfDeQ`rcIYio~˔S,7Nd㏵\m*?#T8mNFͪtZ⍗C1'bkxIC?Nw/HveX-MԸFԈ}ْi^-HSoHFQ6'R'hqVv£Pf;'A{F:dEܯH8ӻ8~}kcp+vfL|~,Q  BlpD~Ymk7PwK-ڪ#J9y-g/ZTf,SRVWz5"`6l闅JmS=.
P-ᚰάrR䍫Z5a}
=Ai5}_g=J-S+wއzm)jc!#^ѬEE2g&'>L&*շuZA qB9ο85.h|n!Cm0;0Xʽp1l,+WR)itj&4x:17ѓ%-$ݧIÃ
Asz/?b ߚb(%A]ZQ73'6p<샲vb1oIlDU,+0|<61jǻ5Fa(1R1!Uɨ1d{l6@85~S\>Z]X9t>٥<^r·能=P.Z`o#\A8uU/KQg\$Yt"Իl3[ejjWgx;uiwY6\|eTdGk8uQpX(b9{eM)bthFlkx4^]P T
"(m?~ŕ@%(>G=چ6y<o`ʮ/=<
}sev`pi4c_&n,˼!
/A#˹+SZ`Ta W<fhҏLw>4
3vSRHG:>Sn;.E]_סc5[2$^`KP@|断
uV"0rn<^fCrճnN4E^y٨߷[J	*6zH罴.k2~ͯQhɹu|zv/U3H+n=P@xdSEsl.na#fCqW\.fQc@Nܤ@a*b4M"o6-fk~In	THjv3(/ykЛ(/`{PH7mR&Q-cPzU$OtC_O͆ab_p1u몲Ԓ_t>Lʙms;e$6}R%#z&6BU
Ų-tEYxΘ7wXd8(cav3@8NZz~o+'fSJ7.X7o\(	zBL6_bw=^ DŞ8^8GB8-P9}
(.:bx^9qcPZ
nEZYtzEH-+y}@ߨ۴`oVw<*QJnr"0]4s=֨g93qr]dUh :{(( ڰiGl`D۳D`L 6V8|@c<KHxm-+y#WE?2^~}uO7J~8cT!0LhI|'YYrv.t2ٿ_Y@h2G+D(y.D̻ 1P_z"ߟjyH]
д'$d`;?|)g-dy-uFp-EEn::[Tc1B6g/vwc6)L;%HTp_Yߴ1JZXDKszRqjlm#/nbzLz1oQgãGy&é9e]rT>z NvZu@lD@b6GXrV2&`tk*?<W`vG*|_/;p<ygF1<dٱqݩ7jweQI9-4`n0sWjN7r	Qiԣ@'y^Q$
$/PE#k{82^%j@ b{IIՖ Y6_7`}]ٿ$nIߵF,<{xR_\rė{М	{B?{kHYP~@H{o&+U7πijozT8鿣v{ky:ǠyPc/!]/黚pz>5/5;b/ :@GsFE At/H;(^V#vE  ZWq5Pp=j4Zsq*qxCoq@Q8C>1)+(ڎ#O ƛ%IROmD'֑e	$O	8H(s
8V2	|\F[L4.S&1t|a|>[ŴI,C9J{}KyS>.WS820S19<,ۋv$XnK[<.]oK^Tʽ67u;uŶC}bylfIz?Tg3F}0јsD+΢Tt:Ŷڄtz,nUSq'#IȊQiKr͜s=?N@;C_Aa?:/_oFTx:{ؘr=%xxdoyCu֍Q{O-QAAg+zpn&7mوS:8 v7Ys6LZ]DPuJ*WS!C-6OYqc%4ٍr/TڥKP1oF}%Bd/1\T/ϲkjE46pȫxLjDtP.z"[,~&DKs!
(l:[\WtJBnȌ	bYW k5y#֔'g,+3Jl#Ч0ZgB5GT)>hE]U7Nn'D!w)5VXEElEٵG+h
BDq~R6rҰSiSwHߢt,-Rw%5NɵUaכF9+^5>	o6&7c3F9^+:Zwx\SrT:lZ/Cas"@RlI[|a<=O<=OC>aF   
